#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: control-monad-free
version: 0.6.1
id: control-monad-free-0.6.1-DLPnWUouwirGGa6ZR8vSdg
key: control-monad-free-0.6.1-DLPnWUouwirGGa6ZR8vSdg
license: PublicDomain
maintainer: pepeiborra@gmail.com
stability: experimental
homepage: http://github.com/pepeiborra/control-monad-free
synopsis: Free monads and monad transformers
description:
    This package provides datatypes to construct Free monads,
    Free monad transformers, and useful instances. In addition it
    provides the constructs to avoid quadratic complexity of left
    associative bind, as explained in:
    .
    * Janis Voigtlander, /Asymptotic Improvement of Computations over Free Monads, MPC'\''08/
category: Control, Monads
author: Luke Palmer, Pepe Iborra
exposed: True
indefinite: False
exposed-modules:
    Control.Monad.Free Control.Monad.Free.Improve
    Control.Monad.Free.Zip
abi: 81f2de7e372e9b1a8af9865d7c3d9e66
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/control-monad-free-0.6.1
library-dirs: /usr/lib/ghc-8.2.1/site-local/control-monad-free-0.6.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/control-monad-free-0.6.1
hs-libraries: HScontrol-monad-free-0.6.1-DLPnWUouwirGGa6ZR8vSdg
depends:
    base-4.10.0.0 prelude-extras-0.4.0.3-E2TUDUJSI3wDl8mkUzsaKv
    transformers-0.5.2.0
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             prelude-extras-0.4.0.3-E2TUDUJSI3wDl8mkUzsaKv=43963279f2cb0fb9b38542fba130c2f7
             transformers-0.5.2.0=2645d250dd615ce454f807270041c5ea
haddock-interfaces: /usr/share/doc/haskell-control-monad-free/html/control-monad-free.haddock
haddock-html: /usr/share/doc/haskell-control-monad-free/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

